--
-- $Id$
--
-- Corrigeren gereserveerde catering artikelen naar nieuwe keys

DEFINE thisfile = 'SGGR#37756_2.SQL'
DEFINE dbuser   = '^SGGR'
DEFINE custid   = 'SGGR'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- Diner (21 is oude key, 102 is nieuwe key)
UPDATE res_rsv_artikel a
   SET A.RES_ARTIKEL_KEY = 102
 WHERE A.RES_ARTIKEL_KEY = 21
       AND RES_RSV_ARTIKEL_LEVERING >
             TO_DATE ('11/28/2016 08:00:00', 'MM/DD/YYYY HH24:MI:SS')
       AND A.RES_RSV_ARTIKEL_VERWIJDER IS NULL;
       
-- Koffie/thee/water (1 is oude key, 105 is nieuwe key)
UPDATE res_rsv_artikel a
   SET A.RES_ARTIKEL_KEY = 105
 WHERE A.RES_ARTIKEL_KEY = 1
       AND RES_RSV_ARTIKEL_LEVERING >
             TO_DATE ('11/28/2016 08:00:00', 'MM/DD/YYYY HH24:MI:SS')
       AND A.RES_RSV_ARTIKEL_VERWIJDER IS NULL; 

-- lunch in het Atrium (4 is oude key, 101 is nieuwe key)
UPDATE res_rsv_artikel a
   SET A.RES_ARTIKEL_KEY = 101
 WHERE A.RES_ARTIKEL_KEY = 4
       AND RES_RSV_ARTIKEL_LEVERING >
             TO_DATE ('11/28/2016 08:00:00', 'MM/DD/YYYY HH24:MI:SS')
       AND A.RES_RSV_ARTIKEL_VERWIJDER IS NULL;       

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile

@@ &custid 